MantisBT

View Issue Details Jump to Notes ] Issue History ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
0001858VCMIOtherpublic2014-07-23 20:072022-09-17 16:33
ReporterMixaill 
Assigned ToPovelitel 
PrioritynormalSeverityminorReproducibilityrandom
StatusresolvedResolutionfixed 
Platformx86_64OSLinuxOS Version
Product Version0.96 
Target VersionFixed in Version1.next 
Summary0001858: Long compilation time on GCC
DescriptionSometimes compilation on Travis can last more than 50 minutes!

https://travis-ci.org/vcmi/vcmi/builds/30673739 [^]
https://travis-ci.org/vcmi/vcmi/builds/30216721 [^]
https://travis-ci.org/vcmi/vcmi/builds/30017056 [^]
Steps To Reproduce1. Compile
2. Wait
TagsNo tags attached.
Attached Files

- Relationships

-  Notes
(0004859)
Ivan (developer)
2014-07-27 11:54

I guess most of this time was consumed on compilation of lib/registerTypes/* - they quite often need ~2 GB per file and in case of multithreaded compilation/low memory may cause huge slowdown due to swapping.

Frankly we have no idea what's causing this. So if you (or somebody else) will manage to fix this issue - this would be great.
(0005270)
SXX (administrator)
2014-12-24 20:16
edited on: 2014-12-24 20:17

For anyone who might be interested.

@AVS made interesting improvement for serialization:
https://github.com/vcmi/vcmi/pull/66 [^]
For me this decreased compilation time from 4 minutes to 3 minutes.

(0008354)
Povelitel (updater)
2022-09-17 16:33

It is obvious that the problem was in the hardware associated with a lack of RAM.

- Issue History
Date Modified Username Field Change
2014-07-23 20:07 Mixaill New Issue
2014-07-27 11:54 Ivan Note Added: 0004859
2014-12-24 20:16 SXX Note Added: 0005270
2014-12-24 20:17 SXX Note Edited: 0005270 View Revisions
2022-09-17 16:33 Povelitel Note Added: 0008354
2022-09-17 16:33 Povelitel Status new => resolved
2022-09-17 16:33 Povelitel Fixed in Version => 1.next
2022-09-17 16:33 Povelitel Resolution open => fixed
2022-09-17 16:33 Povelitel Assigned To => Povelitel

Site | Forums | Wiki | Slack | GitHub


Copyright © 2000 - 2022 MantisBT Team
Hosting provided by DigitalOcean